> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return

> Start a return for an order



## OpenAPI

````yaml POST /v1/orders/{request_id}/return
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/orders/{request_id}/return:
    post:
      summary: Create Return
      description: >-
        Create a return label for an order. Returns are only available on amazon
        and amazon_uk retailers.
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: The request id of the original order
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReturnRequest'
      responses:
        '200':
          description: Return created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReturnResponse'
components:
  schemas:
    CreateReturnRequest:
      type: object
      required:
        - products
        - reason_code
        - method_code
        - explanation
      properties:
        products:
          type: array
          description: A list of product objects that should be returned
          items:
            type: object
            properties:
              product_id:
                type: string
                description: The product ID to return
              quantity:
                type: integer
                description: The quantity to return
        reason_code:
          type: string
          description: >-
            The reason for the return. This is passed directly to Amazon. Reason
            codes will vary depending on Amazon country. Many users have had
            success using "inaccurate website description" for Amazon.com and
            "description on website was not accurate" for Amazon.co.uk. Note
            that the `reason_code` must be an exact match with the reason code
            dropdown available on Amazon.
        method_code:
          type: string
          description: >-
            The method of returning the specified products. This is passed
            directly to Amazon. The available options may vary based on Amazon
            country and customer address. Note that `UPS Dropoff` is the only
            method supported for automatic refunds on Zinc Managed Account
            orders. If you'd like to use a different method, you'll need to
            manually request a refund.
        explanation:
          type: string
          description: >-
            Any extra information that will be passed to Amazon or the Amazon
            seller. It is required for some return reasons.
        webhooks:
          type: object
          description: >-
            A webhooks object including URLs that will receive POST requests
            after particular events have finished.
          properties:
            request_succeeded:
              type: string
              description: URL to receive success webhooks
            request_failed:
              type: string
              description: URL to receive failure webhooks
        cancel_pending:
          type: boolean
          description: >-
            Whether or not this request should cancel any pending returns while
            creating a new return. Defaults to false.
        return_address:
          type: object
          description: >-
            An address object from which the return is sent. If not provided,
            the default return address from Amazon will be used.
    CreateReturnResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The unique identifier for the return request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````